Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:

mime._defang |
Exception |
milter.error |
object |
Milter.Base | A do "nothing" Milter base class representing an SMTP connection
Milter.Milter | A logging but otherwise do nothing Milter base class
Milter.cache.AddrCache |
Milter.dns.Session |
Milter.greylist.Greylist |
Milter.greylist.Record |
Milter.greysql.Greylist |
milter.milterContext | Hold context for a milter connection
Milter.plock.PLock |
Milter.test.TestBase | Test mixin for unit testing milter applications
RuntimeError |
Milter.DisabledAction | Disabled action exception
Milter.dsn.Vars |
ConfigParser |
Milter.config.MilterConfigParser |
Generator |
mime.MimeGenerator | Fix multipart handling in email.Generator
Message |
mime.MimeMessage | Enhance email.Message